Subject: Re: linux-next: unneeded merge in the security tree

From: Theodore Ts'o <[email-masked]>
Date: Tue, 12 Mar 2013 09:25:10 -0400

On Tue, Mar 12, 2013 at 04:18:23PM +1100, Stephen Rothwell wrote:
> Well, you used to be able to merge a tag and it would just fast forward
> if possible.  That was changed (for good reason), but now gives us this
> outcome.   Also, "git merge --ff" does not override that behaviour, but
> "git merge --ff-only" does.  Also, of course, if (say) origin/master had
> been v3.9-rc2, then "git merge origin/master" would have also just done a
> fast forward.

I'm probably old school (or maybe wacky school --- who knows :-), but
what I usually do is something like this:

git branch -a --contains HEAD   # make sure the HEAD pointer is
git tag --contains HEAD         # include where I think it should be
git reset --hard v3.9-rc2

Yeah, it's more key strokes than "git merge --ff-only v3.9-rc2", but I
can type the above faster because they're finger macros for me.  :-)

					- Ted